#!/usr/bin/env python3


import multiprocessing as MP
import platform
import sys


from PyQt5.QtWidgets import QApplication
from src.gui.mainwindow import MainWindow


def main():
  # set_start_method wird gebraucht um das erzeugen von prozessen auf die
  # 'spawn' methode zu stellen. 'spawn' ist die standard-methode unter
  # windows! Unter Linux ist die standard-methode 'fork'.
  MP.set_start_method('spawn')

  app = QApplication(sys.argv)
  window = MainWindow()
  window.show()
  sys.exit(app.exec_())

if __name__ == '__main__':
  main()
